EUCA-DESCRIBE-ADDRESSES(1)

NAME
euca-describe-addresses - Show information about elastic IP addresses

SYNOPSIS
euca-describe-addresses [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [ADDRESS [ADDRESS ...]]

DESCRIPTION
Show information about elastic IP addresses

  positional arguments:

ADDRESS
    limit results to specific elastic IP addresses or VPC allocation IDs

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

allocation-id
    [VPC only] allocation ID

association-id
    [VPC only] association ID

domain
    whether the address is a standard ("standard") or VPC ("vpc") address

instance-id
    instance the address is associated with

network-interface-id
    [VPC only] network interface the address is associated with

network-interface-owner-id
    [VPC only] ID of the network interface's owner

private-ip-address
    [VPC only] private address associated with the public address

public-ip
    the elastic IP address